/**
 * @file		GenericFile.cpp
 * @date		01/02/2023
 * @author		JackCarterSmith
 * @copyright	GPL-v3.0
 * @brief		Generic file object class.
 *
 */

#include <FileHandler/Generic.hpp>
#include <string>
#include "DatFileEntry.hpp"

using namespace RDI::DatFile;


namespace RDI {

GenericFile::GenericFile( DatFile::DatFileEntryFile* hDat )
		: size(hDat->getSize()), fileName(hDat->getName()), fullFilePath(hDat->getPath()), pMemLoc(hDat->getDatas()) {}

GenericFile::~GenericFile() {}

void GenericFile::Load() { this->loaded = true; }
void GenericFile::Dispose() { this->loaded = false; }

}
